mvaplot.dev {xps} | R Documentation

## MvA Scatter Plot for Device

### Description

Produce scatter plots of M values vs A values of the samples for the selected device.

### Usage

    mvaplot.dev(x, transfo = log2, method = "median", names = "namepart", ylim = c(-6, 6), xlab = "A", ylab = "M", pch = ".", mar = c(3, 3, 2, 1), dev = "screen", outfile = "MvAPlot", w = 540, h = 540, ...)

### Arguments

`x` | object of class `ExprTreeSet`.
`transfo` | a valid function to transform the data, usually “log2”, or “0”.
`method` | method to compute M, “mean” or “median”.
`names` | optional vector of sample names.
`ylim` | range for the plotted M values.
`xlab` | a title for the x axis.
`ylab` | a title for the y axis.
`pch` | either an integer specifying a symbol or a single character to be used in plotting points.
`mar` | plot margin.
`dev` | graphics device to plot to, i.e. one of “screen”, “jpeg”,“png”, “pdf” or “ps”.
`outfile` | the name of the output file.
`w` | the width of the device in pixels.
`h` | the height of the device in pixels.
`...` | optional arguments to be passed to `plot`.

### Details

Produces mvaplots for slot `data` for an object of class `ExprTreeSet` for the selected graphics device.

For `names=NULL` full column names of slot `data` will be displayed while for `names="namepart"` column names will be displayed without name extension. If `names` is a vector of column names, only these columns will displayed as mvaplot.

### Author(s)

Christian Stratowa

### See Also

`mvaplot`

[Package xps version 1.2.10 Index]